UnsupportedClassVersionError with IBM Java 1.6.0 and maven 3.3.3

advertisements

I have environment with IBM Java 1.6.0 and maven 3.3.3.

when I run mvn clean install I get below error.

Exception in thread "main" java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=org/apache/maven/cli/MavenCli, offset=6
    at java.lang.ClassLoader.defineClass(ClassLoader.java:262)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:69)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:540)


Quoting the System Requirements from Maven home page:

Maven 3.3 requires JDK 1.7 or above to execute

1.6.0 (IBM or not) will not do.